Subject: Gaussian format question(s)

From: "Leif Laaksonen" <[email-masked]>
Date: Wed, 25 Jul 2001 07:06:37 +0300

Hello,

I'm writing some more code for gOpenMol to be
able to display density gradients and Laplacians.
However, I'm it bit puzzled by the different 
information in the different manuals and the
(possible) difference between G94 and G98
input/output.

First question:

The coordinate and distance values in the CUBE file are
they in Bohrs or Angstroms and how do I know in which 
they are?

The manual says

"Output-file-name Required in all Cubejobs. 
IFlag, X0, Y0, Z0 Output unit number and initial point. 
N1, X1, Y1, Z1 Number of points and step-size in the X-direction. 
N2, X2, Y2, Z2 Number of points and step-size in the Y-direction. 
N3, X3, Y3, Z3 Number of points and step-size in the Z-direction. 

If N1<0 the input cube coordinates are assumed to be in Bohr, otherwise,

they are interpreted as Angstroms (this keyword is not affected by the 
setting of the Units keyword)."

Does this mean that the output CUBE file is also in the same format as 
the input or can the input be in Angstroms and output in Bohrs?

Is there a difference between the G94 and G98 versions in this respect?

Second question:

If I define Laplacian in the CUBE keyword I seem to get 
density+gradient+Laplacian norm for G94 but only the Laplacian 
norm for G98. Do these two version produce different output
for the same input?

Is there any way I can figure out what data there is in the CUBE file? 
I should somehow know what data is included in the CUBE file
for parsing purposes without looking at the input files.

Thank you very much for your help.

Regards,

-leif laaksonen